<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Semantic UI</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template" data-detail>
    {% assign actualProjectObject = projects | where: "id", actualProject | first %}
    {% assign actualClient = clients | where: "id", actualProjectObject.clientId | first %}
    {% assign actualTeam = teams | where: "id", actualProjectObject.teamId | first %}

    <div class="wrapper">
    
      <!-- START Sidebar -->
      <div class="sidebar-wrapper">
        <div class="ui vertical left visible menu">
          <div class="item">
            <h1 class="ui large header">Time tracker</h1>
          </div>
          <div class="item">
            <img class="ui avatar circular image" src="dist/img/avatar.png">
            {% assign activeUser = users | where: "id", options.activeUser | first %}
            <span><strong>{{ activeUser.name }}</strong></span>
          </div>
          <a class="blue item" href="index.html">
            <i class="tachometer alternate icon"></i>
            Dashboard
          </a>
          <a class="blue item" href="time.html">
            <i class="clock icon"></i>
            Time tracking
          </a>
          <a class="active blue item" href="projects.html">
            <i class="th icon"></i>
            Projects
          </a>
          <a class="blue item" href="clients.html">
            <i class="star icon"></i>
            Clients
          </a>
          <a class="blue item" href="teams.html">
            <i class="users icon"></i>
            Teams
          </a>
          <a class="blue item" href="users.html">
            <i class="address book icon"></i>
            Users
          </a>
          <a class="blue item" href="settings.html">
            <i class="cogs icon"></i>
            Settings
          </a>
        </div>
      </div>
      <!-- END Sidebar-->


      <!-- START Main -->
      <div class="main-wrapper">
        
        <div class="ui top menu ">
          <a class="item" id="js-open-nav"><i class="bars icon"></i> Menu</a>
          <div class="right menu">
            <a class="item" href="#" id="js-logout">Logout</a>
          </div>
        </div>

        <!-- START Content -->
        <div class="ui grid container">
          <div class="row">
            <div class="column">


            <h2 class="ui dividing header clearing">{{ actualProjectObject.name }} - detail
              <div class="ui buttons mini right floated">
                <a href="../index.html" class="ui button">Change framework</a>
                <button class="ui button" id="js-load-data">Reset data</button>
              </div>
            </h2>
    
    
            <div class="ui grid stackable">

              <div class="sixteen wide column">
                <p class="ui header blue large">
                  {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
                  <i class="clock icon"></i>
                  {{ filteredEntries | totalTime }}
                </p> 
              </div>

              <div class="eight wide column">
                <h3>Project tracker</h3>

                <form class="ui form">
                  <div class="field">
                    <select class="ui dropdown" id="js-entry-filter">
                      {% if special.entryFilter == 0 or special.entryFilter == blank %}
                        <option selected value="0">All members</option>
                      {% else %}
                        <option value="0">All members</option>
                      {% endif %}
                      {% for userId in actualTeam.users %}
                      {% assign user = users | where: "id", userId %}
                        {% if special.entryFilter == user.first.id %}
                          <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                        {% else %}
                          <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                        {% endif %}
                      {% endfor %}
                    </select>
                  </div>
                </form>

                <br>

                <div class="ui cards">

                  {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
                  {% for entry in filteredEntries %}
                    {% if special.entryFilter == 0 or special.entryFilter == blank or special.entryFilter == entry.userId %}
                    <div class="card full">
                      <div class="content">
                        <div class="right floated ui">
                          {% assign entryUser = users | where: "id", entry.userId %}
                          <button class="ui icon button small tooltip" data-content="{{ entryUser.first.name }}">
                            <i class="user icon"></i>
                          </button>
                        </div>
                        <div class="header">
                          {{ entry.desc }}
                        </div>
                      </div>
                      <div class="extra content">
                        <span class="right floated">
                          <i class="clock icon"></i>
                          {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})
                        </span>
                        <span>
                          <i class="calendar alternate icon"></i>
                          {{ entry.startTime | date: "%d.%m.%Y" }}
                        </span>
                      </div>
                    </div>
                    {% endif %}
                  {% endfor %}

                </div>
              </div>

              <div class="eight wide column">
                <h3>Project tasks</h3>

                <form class="ui form">
                  <div class="field">
                    <select class="ui dropdown" id="js-task-filter">
                      {% if special.taskFilter == 0 or special.taskFilter == blank %}
                        <option selected value="0">All members</option>
                      {% else %}
                        <option value="0">All members</option>
                      {% endif %}
                      {% for userId in actualTeam.users %}
                      {% assign user = users | where: "id", userId %}
                        {% if special.taskFilter == user.first.id %}
                          <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                        {% else %}
                          <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                        {% endif %}
                      {% endfor %}
                    </select>
                  </div>
                </form>

                <br>

                <div class="ui cards">

                  {% assign filteredTasks = tasks | where: "projectId", actualProjectObject.id %}
                  {% for task in filteredTasks %}
                    {% if task.status == 0 %}
                    {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                    <div class="card full">
                      <div class="content">
                        <div class="right floated ui">

                          {% assign taskUser = users | where: "id", task.userId %}
                          <button class="ui icon button small tooltip" data-content="{{ taskUser.first.name }}">
                            <i class="user icon"></i>
                          </button>

                          {% if actualProjectObject.active == 1 %}
                            <button class="ui icon button green small" data-finish-task="{{ task.id }}">
                              <i class="check icon"></i>
                            </button>
                            <button class="ui icon button red small" data-delete-task="{{ task.id }}">
                              <i class="trash icon"></i>
                            </button>
                          {% endif %}
                        </div>
                        <div class="header">
                          {{ task.name }}
                        </div>
                        <div class="meta">
                          {{ task.desc }}
                        </div>
                      </div>
                    </div>
                    {% endif %}
                    {% endif %}
                  {% endfor %}
                </div>

                
                {% if actualProjectObject.active == 1 %}
                  <br>
                  <p><a id="js-open-modal" class="ui button blue"><i class="plus icon"></i> New task</a></p>
                {% else %}
                  <h4>Finished tasks</h4>
                {% endif %}

                
                <div class="ui cards">
                  {% for task in filteredTasks %}
                    {% if task.status == 1 %}
                    {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                    <div class="card full">
                      <div class="content">
                        <div class="right floated ui">

                          {% assign taskUser = users | where: "id", task.userId %}
                          <button class="ui icon button small tooltip" data-content="{{ taskUser.first.name }}">
                            <i class="user icon"></i>
                          </button>
                        </div>
                        <div class="header">
                          {{ task.name }}
                        </div>
                        <div class="meta">
                          {{ task.desc }}
                        </div>
                      </div>
                    </div>
                    {% endif %}
                    {% endif %}
                  {% endfor %}
                </div>
              </div>

              <div class="sixteen wide column">
                <div class="ui divider"></div>
              </div>

              <div class="eight wide column">
                <h3>Assigned client</h3>
                <div class="ui message">{{ actualClient.name }}</div>
              </div>

              <div class="eight wide column">
                <h3>Project team</h3>
                <div class="ui message">{{ actualTeam.name }}</div>
              </div>

              <div class="sixteen wide column">
                <div class="ui divider"></div>
              </div>

              <div class="sixteen wide column">
                {% if actualProjectObject.active == 1 %}
                <button class="ui button yellow large" data-finish-project="{{ actualProjectObject.id }}">
                  <i class="check circle icon"></i>
                  Finish project
                </button>
              {% else %}
                <p class="ui header large green">
                  Project is already finished
                </p>
              {% endif %}
              </div>
              
            </div>

            </div>
          </div>
        </div>
        <!-- END Content -->
      </div>
      <!-- END Main -->
    </div>

    <!-- START Modal -->
    <div class="ui modal small">
      <i class="close icon"></i>
      <div class="header">
        New projects
      </div>
      <div class="content">
        <form class="ui form"  id="js-add-task">
          <div class="field">
            <label>Task name</label>
            <input type="text" name="name" placeholder="Task name" required>
          </div>

          <div class="field">
            <label>Task description</label>
            <input type="text" name="desc" placeholder="Task description" required>
          </div>

          <div class="field">
            <label>User</label>
            <select class="ui dropdown" name="userId" required>
              <option  value="" disabled selected hidden>Assign user</option>
              {% for userId in actualTeam.users %}
              {% assign user = users | where: "id", userId %}
                <option value="{{ user.first.id }}">{{ user.first.name }}</option>
              {% endfor %}
            </select>
          </div>

          <input type="hidden" name="projectId" value="{{ actualProjectObject.id }}" required>

          <button class="ui button green" type="submit">Add task</button>
        </form>
      </div>
      <div class="actions">
        <div class="ui black deny button">
          Close
        </div>
      </div>
    </div>
    <!-- END Modal -->
  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>